-- Disable seq_scan to force an index scan on tokens
SET enable_seqscan = off;
SELECT
        notices.*,
	date_trunc('second', notices.created_at) AS notice_time,
	users.email != '<%%email%>' AS linked,
	users.email AS email,
	username AS admin_name
FROM
	users,
	notices JOIN
	tokens USING (token_id) JOIN
	admins USING (admin_id)
WHERE
	(notices.user_id IN (SELECT user_id FROM users WHERE uid = (SELECT uid FROM users WHERE email = '<%%email%>')) OR
	 notices.uid = (SELECT uid FROM users WHERE email = '<%%email%>')) AND
	(notices.user_id = users.user_id OR notices.uid = users.uid)
ORDER BY
	notices.uid DESC,
	linked DESC;
SET enable_seqscan = on;
